Subject: bug#15530: swapping replace queries - feature request

From: Drew Adams <[email-masked]>
Date: Sat, 5 Oct 2013 07:11:57 -0700 (PDT)

> http://stackoverflow.com/questions/19189213/emacs-swapping-replace-queries
> Calling query-replace with C-u could swap the expressions presented
> initially.

Please don't.  As was pointed out at that URL: YAGNI. Just use `M-p' a
couple of times.  And you only need to reverse them once, to be able to
reuse the reversed order.

Using `C-u' just to reverse previous inputs would be a waste.  One can
easily dream up more important uses for a prefix arg for `M-%' here.

(What I do for `M-%' is combine regular q-r, regexp q-r, and word q-r,
distinguishing by prefix arg (regular: none, regexp: 0/+, word: -).  Not
saying that's what vanilla Emacs should do - just one example of better
uses for the prefix arg here.)